<template>
    <div class="row mt-5">
        <div class="col-md-10 offset-md-1 col-sm-12 text-center" v-if="!stories.length && !errorLoading">
            There are no stories for this language.
        </div>
        <div class="col-md-10 offset-md-1 col-sm-12 text-center text-danger" v-if="errorLoading">
           There is an error loading stories. Please try again.
        </div>
        <div class="col-md-10 offset-md-1 col-sm-12" v-for="story in stories">
            <story-item class="" @item-clicked="viewStory(story)" :story="story"  :show-description="false"></story-item>
        </div>
    </div>
</template>

<script>
    import StoryItem from "../components/story/StoryItem";

    export default {
        name: "Stories",
        components: {StoryItem},
        data() {
            return {
                stories: {},
                errorLoading: false
            };
        },
        props: {
            slug: {type: String, required: true},
            user: {type: String},

        },
        created() {
            let url = 'languages/'+this.slug+'/stories';

            if (this.user){
                //user stories url
            }
            this.$http.get(url)
                .then((response) => {
                    this.stories  = response.data.data.data
                }).catch((e) => {
            this.errorLoading = true;
            });

        },
        methods: {
            viewStory(story) {
                this.$router.push({name: 'storyView', params: {slug: story.language.slug, id: String(story.id)}});
            }
        }
    }
</script>
